MAV_crossingEvent(3)

NAME
MAV_crossingEvent - Mouse crossing events.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  MAV_window *win;
  int dir;
} MAV_crossingEvent;

DESCRIPTION
The mouse window crossing (enters/leaves) event data structure, MAV_crossingEvent, is passesd to the application supplied callback function (set with the @mav_callbackCrossingSet function) to provide details of this event.

The fields are as follows:

win window for which event occured.

dir set to ^MAV_ENTER or ^MAP_LEAVE, as appropriate.